# Antes de começar

<p class="lead">Uma lista de ferramentas, tecnologias que serão muito úteis para a construção de aplicativos com Frappé.</p>

Há uma série de bons tutoriais on-line e encontramos [Codecademy] (http://www.codecademy.com/) como um dos mais bonitos tutoriais, aqui há um monte de lições que você pode aprender com Codecademy

---

#### 1. Python

O lado do servidor do Frappé é escrito em Python e é uma boa idéia para [aprender rapidamente Python] (http://www.codecademy.com/tracks/python) antes de começar a se aprofundar em Frappé. Outro bom lugar para aprender Pytohn é o [tutorial no docs.python.org](https://docs.python.org/2.7/tutorial/index.html). Note-se que o Frappé usa Python 2.7

Para escrever código do lado do servidor de qualidade, você deve incluir testes automáticos. Você pode aprender as noções básicas de [test driven development (TDD) - aqui] (http://code.tutsplus.com/tutorials/beginning-test-driven-development-in-python--net-30137).

---

#### 2. Databases MariaDB / MySQL

Você precisa entender os conceitos básicos de bancos de dados, como instalar, login, criar novos bancos de dados e consultas SQL básicas. Aqui é um [introdução muito rápido para MySQL](https://www.digitalocean.com/community/tutorials/a-basic-mysql-tutorial) ou o [site do MariaDB para uma compreensão mais detalhada](https://mariadb.com/kb/en/mariadb/documentation/getting-started/)

---

#### 3. HTML / CSS

Se você está construindo interfaces de usuário, você precisará [conhecer o básico de HTML / CSS](http://www.codecademy.com/tracks/web) e o [Framework CSS - Boostrap](http://getbootstrap.com)

---

#### 4. Building UI with Javascript and JQuery

Para personalizar formulários e criar novas interfaces de usuário ricas, é melhor [saber JavaScript](http://www.codecademy.com/tracks/javascript) e a [biblioteca popular, JQuery](http://www.codecademy.com/faixas/jQuery).

---

#### 5. Customizing Prints and Web pages with Jinja Templating

Se estiver personalizando modelos de impressão, você precisa aprender a [línguagem Jinja Templating](http://jinja.pocoo.org/). É uma maneira fácil de criar páginas web dinâmicas (HTML).

---

#### 6. Git and GitHub

[Saiba como contribuir para um projeto open source usando Git e GitHub](https://guides.github.com/activities/contributing-to-open-source/), duas grandes ferramentas para ajudá-lo a gerir o seu código e compartilha-lo com os outros.

---

Quando estiver pronto, [tente construir uma aplicação de exemplo em Frappé](/docs/user/pt/tutorial/app)
